Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hslf.model
Class TableCell

    java.lang.Object
      org.apache.poi.hslf.model.Shape
          org.apache.poi.hslf.model.SimpleShape
              org.apache.poi.hslf.model.TextShape
                  org.apache.poi.hslf.model.TextBox
                      org.apache.poi.hslf.model.TableCell

    public final class TableCell

extends TextBox

Represents a cell in a ppt table

Author:
  Yegor Kozlov

Field Summary

Fields inherited from class org.apache.poi.hslf.model.TextShape
`AlignCenter, AlignJustify, AlignLeft, AlignRight, AnchorBottom, AnchorBottomBaseline, AnchorBottomCentered, AnchorBottomCenteredBaseline, AnchorMiddle, AnchorMiddleCentered, AnchorTop, AnchorTopBaseline, AnchorTopCentered, AnchorTopCenteredBaseline, WrapByPoints, WrapNone, WrapSquare, WrapThrough, WrapTopBottom`

Fields inherited from class org.apache.poi.hslf.model.SimpleShape
`DEFAULT_LINE_WIDTH`

Fields inherited from class org.apache.poi.hslf.model.Shape
`EMU_PER_CENTIMETER, EMU_PER_INCH, EMU_PER_POINT, MASTER_DPI, PIXEL_DPI, POINT_DPI`

Constructor Summary
`TableCell(Shape parent)` Create a new TableCell.

Method Summary
`Line` | `getBorderBottom()`
`Line` | `getBorderLeft()`
`Line` | `getBorderRight()`
`Line` | `getBorderTop()`
`void` | `setAnchor(java.awt.Rectangle anchor)`
`void` | `setBorderBottom(Line line)`
`void` | `setBorderLeft(Line line)`
`void` | `setBorderRight(Line line)`
`void` | `setBorderTop(Line line)`

Methods inherited from class org.apache.poi.hslf.model.TextShape
`createTextRun, draw, getHorizontalAlignment, getMarginBottom, getMarginLeft, getMarginRight, getMarginTop, getPlaceholderAtom, getText, getTextId, getTextRun, getVerticalAlignment, getWordWrap, resizeToFitText, setHorizontalAlignment, setHyperlink, setMarginBottom, setMarginLeft, setMarginRight, setMarginTop, setSheet, setText, setTextId, setVerticalAlignment, setWordWrap`

Methods inherited from class org.apache.poi.hslf.model.SimpleShape
`getFillColor, getFlipHorizontal, getFlipVertical, getLineColor, getLineDashing, getLineStyle, getLineWidth, getLogicalAnchor2D, getRotation, setFillColor, setHyperlink, setLineColor, setLineDashing, setLineStyle, setLineWidth, setRotation`

Methods inherited from class org.apache.poi.hslf.model.Shape
`getAnchor, getAnchor2D, getEscherChild, getEscherProperty, getEscherProperty, getEscherProperty, getFill, getHyperlink, getOutline, getParent, getShapeId, getShapeName, getShapeType, getSheet, getSpContainer, moveTo, setAnchor, setEscherProperty, setEscherProperty, setShapeId, setShapeType`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableCell

    public TableCell(Shape parent)

  Create a new TableCell. This constructor is used when a new shape is created.

  Parameters:
    `parent` - the parent of this Shape. For example, if this text box is a cell in a table then the parent is Table.

Method Detail

### getBorderLeft

    public Line getBorderLeft()

### setBorderLeft

    public void setBorderLeft(Line line)

### getBorderRight

    public Line getBorderRight()

### setBorderRight

    public void setBorderRight(Line line)

### getBorderTop

    public Line getBorderTop()

### setBorderTop

    public void setBorderTop(Line line)

### getBorderBottom

    public Line getBorderBottom()

### setBorderBottom

    public void setBorderBottom(Line line)

### setAnchor

    public void setAnchor(java.awt.Rectangle anchor)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD